---
updatedAt: 2026-04-28T11:47:33.000Z
agentTools:
  projectIndex: https://docs.interswitchgroup.com/llms.txt
---

# Get Transaction V2

Get Details of a transaction to confirm the status

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "accept-payment",
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://sandbox.interswitchng.com"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "oauth2",
        "flows": {}
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/collections/api/v2/gettransaction.json": {
      "get": {
        "summary": "Get Transaction V2",
        "description": "Get Details of a transaction to confirm the status",
        "operationId": "gettransactionv2",
        "parameters": [
          {
            "name": "Authorization",
            "in": "header",
            "description": "Set value to \"Bearer <token>\"",
            "schema": {
              "type": "string",
              "default": "Bearer eyJhbGciOiJSUzI1NiJ9.eyJhdWQiOlsiaXN3LWNvbGxlY3Rpb25zIiwiaXN3LXBheW1lbnRnYXRld2F5IiwicGFzc3BvcnQiLCJwcm9qZWN0LXgtbWVyY2hhbnQiLCJ2YXVsdCJdLCJtZXJjaGFudF9jb2RlIjoiTVg2MDcyIiwicmVxdWVzdG9yX2lkIjoiMTIzODA4NTk1MDMiLCJzY29wZSI6WyJwcm9maWxlIl0sImp0aSI6IjVkOTczM2Y5LWMzNDEtNGFjZC04ZjE3LWViYzUyYWE0NjM2MiIsInBheWFibGVfaWQiOiIzMzU5NyIsImNsaWVudF9pZCI6IklLSUFCMjNBNEUyNzU2NjA1QzFBQkMzM0NFM0MyODdFMjcyNjdGNjYwRDYxIn0.ElgBX2KoF9LuUUpeBGzzp8CDAllTHWfgM6pJRgTtPYGJpoZufKlJrmE4QTvZV6MIVaNtK21majTgR4qXJr7CEkPK_4zCIHyN2b8a445vqhLYcbffQvK4EeUn_RzsWTmub2bruG5s4bRS1il5itPR0QQ-trEsbELU7TAHvC4p786RiAQd-K_I0bwtLzIXQN65jlw3eJxxK-BGfca-OMTUo9HGvraebfLB-7h4-vNbPred58gfLBSwK31jaLP19cMRc5Jea28jrlmGNUhHGzjnP7ZanqgC9uuvoepQsa39_DNBonR6xirxKw4aNlNLcKOTn026wyOTHIHUGlDQ3s3AOQ"
            }
          },
          {
            "name": "Content-Type",
            "in": "header",
            "description": "Set value to \"application/json\"",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "transactionReference",
            "in": "query",
            "description": "original tran ref",
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n    \"Amount\": 10000,\n    \"CardNumber\": \"506099*********7499\",\n    \"MerchantReference\": \"1559290853mwdde9421\",\n    \"PaymentReference\": \"FBN|WEB|MX6072|03-05-2023|474461620|276749\",\n    \"RetrievalReferenceNumber\": \"000106923853\",\n    \"Stan\": \"000008\",\n    \"Channel\": \"WEB\",\n    \"TerminalId\": \"3PXM0001\",\n    \"SplitAccounts\": [],\n    \"TransactionDate\": \"2023-05-03T07:36:54\",\n    \"ResponseCode\": \"00\",\n    \"ResponseDescription\": \"Approved by Financial Institution\",\n    \"BankCode\": \"011\",\n    \"Token\": {\n        \"expiry\": \"5003\",\n        \"panLast4Digits\": \"7499\",\n        \"cardType\": \"Verve\",\n        \"token\": \"512342222817082\"\n    },\n    \"DeviceInfo\": {\n        \"userAgent\": \"PostmanRuntime/7.44.0\",\n        \"os\": \"UnKnown, More-Info: PostmanRuntime/7.44.0\",\n        \"browserName\": \"UnKnown, More-Info: PostmanRuntime/7.44.0\",\n        \"ipAddress\": \"172.23.21.144\",\n        \"architecture\": \"Unknown\",\n        \"deviceType\": \"Desktop\",\n        \"countryCode\": \"US\",\n        \"countryName\": \"USA\",\n        \"region\": \"en\"\n    },\n    \"PaymentId\": 474461620,\n    \"RemittanceAmount\": 9800\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "Amount": {
                      "type": "integer",
                      "example": 10000,
                      "default": 0
                    },
                    "CardNumber": {
                      "type": "string",
                      "example": "506099*********7499"
                    },
                    "MerchantReference": {
                      "type": "string",
                      "example": "1559290853mwdde9421"
                    },
                    "PaymentReference": {
                      "type": "string",
                      "example": "FBN|WEB|MX6072|03-05-2023|474461620|276749"
                    },
                    "RetrievalReferenceNumber": {
                      "type": "string",
                      "example": "000106923853"
                    },
                    "Stan": {
                      "type": "string",
                      "example": "000008"
                    },
                    "Channel": {
                      "type": "string",
                      "example": "WEB"
                    },
                    "TerminalId": {
                      "type": "string",
                      "example": "3PXM0001"
                    },
                    "SplitAccounts": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {}
                      }
                    },
                    "TransactionDate": {
                      "type": "string",
                      "example": "2023-05-03T07:36:54"
                    },
                    "ResponseCode": {
                      "type": "string",
                      "example": "00"
                    },
                    "ResponseDescription": {
                      "type": "string",
                      "example": "Approved by Financial Institution"
                    },
                    "BankCode": {
                      "type": "string",
                      "example": "011"
                    },
                    "Token": {
                      "type": "object",
                      "properties": {
                        "expiry": {
                          "type": "string",
                          "example": "5003"
                        },
                        "panLast4Digits": {
                          "type": "string",
                          "example": "7499"
                        },
                        "cardType": {
                          "type": "string",
                          "example": "Verve"
                        },
                        "token": {
                          "type": "string",
                          "example": "512342222817082"
                        }
                      }
                    },
                    "DeviceInfo": {
                      "type": "object",
                      "properties": {
                        "userAgent": {
                          "type": "string",
                          "example": "PostmanRuntime/7.44.0"
                        },
                        "os": {
                          "type": "string",
                          "example": "UnKnown, More-Info: PostmanRuntime/7.44.0"
                        },
                        "browserName": {
                          "type": "string",
                          "example": "UnKnown, More-Info: PostmanRuntime/7.44.0"
                        },
                        "ipAddress": {
                          "type": "string",
                          "example": "172.23.21.144"
                        },
                        "architecture": {
                          "type": "string",
                          "example": "Unknown"
                        },
                        "deviceType": {
                          "type": "string",
                          "example": "Desktop"
                        },
                        "countryCode": {
                          "type": "string",
                          "example": "US"
                        },
                        "countryName": {
                          "type": "string",
                          "example": "USA"
                        },
                        "region": {
                          "type": "string",
                          "example": "en"
                        }
                      }
                    },
                    "PaymentId": {
                      "type": "integer",
                      "example": 474461620,
                      "default": 0
                    },
                    "RemittanceAmount": {
                      "type": "integer",
                      "example": 9800,
                      "default": 0
                    }
                  }
                }
              }
            }
          },
          "404": {
            "description": "404",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n    \"Amount\": 0,\n    \"SplitAccounts\": [],\n    \"TransactionDate\": \"0001-01-01T00:00:00\",\n    \"ResponseCode\": \"Z25\",\n    \"ResponseDescription\": \"Transaction not Found\",\n    \"RemittanceAmount\": 0\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "Amount": {
                      "type": "integer",
                      "example": 0,
                      "default": 0
                    },
                    "SplitAccounts": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {}
                      }
                    },
                    "TransactionDate": {
                      "type": "string",
                      "example": "0001-01-01T00:00:00"
                    },
                    "ResponseCode": {
                      "type": "string",
                      "example": "Z25"
                    },
                    "ResponseDescription": {
                      "type": "string",
                      "example": "Transaction not Found"
                    },
                    "RemittanceAmount": {
                      "type": "integer",
                      "example": 0,
                      "default": 0
                    }
                  }
                }
              }
            }
          }
        },
        "deprecated": false,
        "security": [],
        "x-readme": {
          "code-samples": [
            {
              "language": "curl",
              "code": "curl --location 'https://qa.interswitchng.com/collections/api/v2/gettransaction.json?transactionReference=1559290853mwdde9421' \\\n--header 'Authorization: Bearer tokenxxxx' "
            }
          ],
          "samples-languages": [
            "curl"
          ]
        }
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```